Deal
Archive deal AI field
Archive a deal AI field. The field is removed from the deal views that use it as a column.
POST
/
v1
/
deals
/
fields
/
{fieldId}
/
archive
cURL
curl --request POST \
--url https://api.claap.io/v1/deals/fields/{fieldId}/archive \
--header 'X-Claap-Key: <api-key>'import requests
url = "https://api.claap.io/v1/deals/fields/{fieldId}/archive"
headers = {"X-Claap-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Claap-Key': '<api-key>'}};
fetch('https://api.claap.io/v1/deals/fields/{fieldId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"fieldId": "DealAiSection#Mv6Zq1Xs8Dg3Pk5Wr9Tc2",
"title": "Deal health",
"kind": "Field",
"outputType": "Rating",
"prompt": "Rate how likely this deal is to close, based on the engagement of the prospect.",
"ratingScale": 5,
"crmField": {
"entity": "Deal",
"label": "Deal health",
"name": "deal_health",
"source": "Hubspot",
"type": "Numeric"
},
"authorId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"createdAt": "2026-05-14T09:30:00Z",
"archivedAt": "2026-06-02T14:05:00Z"
}
}Archives a deal AI field and removes it from the deal views that use it as a column.
Authorizations
Path Parameters
Deal AI field identifier
Response
Deal AI field was successfully archived
An AI field: a custom prompt with a typed output, evaluated by AI. Usable as an AiSection view column through its fieldId.
Show child attributes
Show child attributes
⌘I
cURL
